Bug 127194 - tg3 broadcom 5704 ethernet use totally hangs machine
tg3 broadcom 5704 ethernet use totally hangs machine
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-07-03 13:26 EDT by Senter Reinhardt
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-14 15:25:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Senter Reinhardt 2004-07-03 13:26:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
I have a Tyan S2880 with dual Broadcom 5704C ethernet controllers. I
am using Fedora Core 2(x86_64) with Dual 248 Opterons. I have had
total system lockup problems since my original FC2 install. I disabled
the onboard ethernet and dropped in a Dec Tulip card and the system
was rock solid. I did everything I could to torture the machine and it
was flawless. I only have 1 32bit PCI slot(which I need for my gfx
card) so pulled the Dec card out, re-enabled the 5704 and the tg3
driver and now my system crashes sometimes in mid-boot. Othertimes it
will come up, let me work for a while, but as soon as I do anything
ethernet related it hangs. My system is useless without this working,
help! Again, no crashes at all with a different ethernet card(but it
takes my only slot!)

Version-Release number of selected component (if applicable):
Kernel 2.6.6-1.435.2.3smp

How reproducible:

Steps to Reproduce:
1. Enable eth0 using tg3 driver
2. ping, telnet, download anything
3. locks up OS anywhere from instantly to after a few minutes of enet use

Actual Results:  Total system hang requiring a reset. Everything frozen

Expected Results:  I should be able to use enet without hitting reset
every time :-)

Additional info:

System: Tyan S2880C
OS: Fedora Core 2 x86_64
Kernel 2.6.6-1.435.2.3smp 
Processor: Dual 248 Opteron
Memeory: 2GB Corsair Reg ECC
Problem: Total system lockup when ethernet is used
Comment 1 Hrunting Johnson 2004-07-13 09:08:40 EDT
We have this exact same configuration running solidly.  We did have
this exact same problem on one of our machines which our vendor
replaced and since then, no problems.  I suspect you have faulty hardware.

Another thing is we run these Opteron systems with pci=noacpi.
Comment 2 Dave Jones 2005-01-14 00:45:13 EST
are the latest updates any better ?
Comment 3 Senter Reinhardt 2005-01-14 08:54:06 EST
It was several months ago since I posted this issue. I was building the machine
for a friend and either through updates or downloaded and compiled drivers from
broadcom I was able to get the machine up and running. It wasn't a hardware
issue.  I wish I could tell you exactly what the fix was, but the machine is up
and running now with no issues running the latest patches of FC2

Note You need to log in before you can comment on or make changes to this bug.